export declare enum NavDirection {
  FORWARD = 0,
  ROOT = 1,
  BACK = 2
}
export interface NavParams {
  url?: string;
  direction: NavDirection;
}
interface NavStore {
  nav: NavParams | undefined;
}
declare const _default: {
  state: NavStore;
  onChange: import("@stencil/store/dist/types").OnChangeHandler<NavStore>;
  reset: () => void;
};
export default _default;
